<?php
/*
 * ARI Framework
 *
 * @package		ARI Framework
 * @version		1.0.0
 * @author		ARI Soft
 * @copyright	Copyright (c) 2009 www.ari-soft.com. All rights reserved
 * @license		GNU/GPL (http://www.gnu.org/copyleft/gpl.html)
 * 
 */

(defined('_JEXEC') && defined('ARI_FRAMEWORK_LOADED')) or die('Direct Access to this location is not allowed.');

AriKernel::import('Utils.Config');

class AriSmartContentConfig extends AriConfig
{
	var $_groups = array('_default', 'plugin');
	var $_table = '#__arismartcontent_config';
	var $_modelPath;
	
	function __construct()
	{
		$this->_modelPath = AriSmartContentHelper::getFormPath('config', 'config');
		$this->_cachePath = JPATH_ROOT . '/cache/arismartcontent_config.php'; 
		
		parent::__construct();
	}
	
	function getCacheNS()
	{
		return '_Cache_' . __CLASS__;
	}
}